| GET | /RestApi/recycle-bin/items/{id}/validaterestore |
|---|
import java.math.*
import java.util.*
import net.servicestack.client.*
open class GetRecycleBinItemValidation : RecycelBinItemRequestBase()
{
}
open class RecycelBinItemRequestBase
{
var Id:UUID? = null
}
open class ModalMessageProxy
{
var IsRecoverable:Boolean? = null
var HeaderText:String? = null
var BodyText:String? = null
var ActionButtonText:String? = null
var HasCancelButton:Boolean? = null
}
Kotlin GetRecycleBinItemValidation DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json
To embed the response in a jsonp callback, append ?callback=myCallback
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/recycle-bin/items/{id}/validaterestore HTTP/1.1
Host: www.asg.com.au
Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length
{"isRecoverable":false,"headerText":"String","bodyText":"String","actionButtonText":"String","hasCancelButton":false}